## Version information Version information — Variables and functions to check the OGMRip and MPlayer versions |

## Functions

gboolean | ogmrip_check_mencoder ()
gboolean | ogmrip_check_mplayer ()
gboolean | ogmrip_check_mplayer_dts ()
gboolean | ogmrip_check_mplayer_nosub ()
gboolean | ogmrip_check_mplayer_version ()
#define | OGMRIP_MAJOR_VERSION
#define | OGMRIP_MINOR_VERSION
#define | OGMRIP_MICRO_VERSION
#define | OGMRIP_CHECK_VERSION()
#define | MPLAYER_CHECK_VERSION()

## Description

## Functions

### ogmrip_check_mencoder ()

    gboolean
    ogmrip_check_mencoder (void);

Checks if mencoder is installed.

#### Returns

TRUE if mencoder is installed

### ogmrip_check_mplayer ()

    gboolean
    ogmrip_check_mplayer (void);

Checks if mplayer is installed.

#### Returns

TRUE if mplayer is installed

### ogmrip_check_mplayer_dts ()

    gboolean
    ogmrip_check_mplayer_dts (void);

Checks if mplayer has DTS support.

#### Returns

TRUE if DTS is supported

### ogmrip_check_mplayer_nosub ()

    gboolean
    ogmrip_check_mplayer_nosub (void);

Checks if mplayer supports the -nosub option.

#### Returns

TRUE if -nosub is supported

### ogmrip_check_mplayer_version ()

    gboolean
    ogmrip_check_mplayer_version (gint major,
                                  gint minor,
                                  gint rc,
                                  gint pre);

Checks if the version of mplayer is older than a given version.

#### Parameters

major | The major version number |
minor | The minor version number |
rc | The release candidate version number, or 0 if none |
pre | The pre-release version number, or 0 if none |

#### Returns

TRUE if the version is older

### OGMRIP_MAJOR_VERSION

    #define OGMRIP_MAJOR_VERSION       (1)

Compile time major version of OGMRip

### OGMRIP_MINOR_VERSION

    #define OGMRIP_MINOR_VERSION       (0)

Compile time minor version of OGMRip

### OGMRIP_MICRO_VERSION

    #define OGMRIP_MICRO_VERSION       (1)

Compile time micro version of OGMRip

### OGMRIP_CHECK_VERSION()

    #define             OGMRIP_CHECK_VERSION(major,minor,micro)

Checks whether version is equal or greather than major.minor.micro

#### Parameters

major | A major version number |
minor | A minor version number |
micro | A micro version number |

### MPLAYER_CHECK_VERSION()

    #define             MPLAYER_CHECK_VERSION(major,minor,rc,pre)

Check if version is equal or greather than major.minor, major.minor-rc or major.minor-pre, in that order

#### Parameters

major | A major version number |
minor | A minor version number |
rc | An rc version number |
pre | A pre version number |

## Types and Values